<?php
/**
 * The template for displaying comments
 *
 * @package affiliateblogwriter
 */

if ( post_password_required() ) {
	return;
}

if ( have_comments() ) : ?>
	<h2 class="comments-title">
		<?php
		$_s_comment_count = get_comments_number();
		if ( '1' === $_s_comment_count ) {
			printf(
				/* translators: 1: title. */
				esc_html__( 'One thought on &ldquo;%1$s&rdquo;', 'affiliateblogwriter' ),
				'<span>' . esc_attr( get_the_title() ) . '</span>'
			);
		} else {
				printf( // phpcs:ignore Standard.Category.SniffName.ErrorCode
					/* translators: 1: comment count number, 2: title. */
					esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $_s_comment_count, 'comments title', 'affiliateblogwriter' ) ),
					esc_attr( number_format_i18n( $_s_comment_count ) ),
					'<span>' . esc_attr( get_the_title() ) . '</span>'
				);
		}
		?>
	</h2>
	<ol class="comment-list">
		<?php
		wp_list_comments(
			array(
				'style'       => 'ol',
				'short_ping'  => true,
				'avatar_size' => 74,
			)
		);
		?>
	</ol>
	<?php
	if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
		?>
	<nav class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text section-heading"><?php esc_html_e( 'Comment navigation', 'affiliateblogwriter' ); ?></h1>
		<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'affiliateblogwriter' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'affiliateblogwriter' ) ); ?></div>
	</nav>
		<?php
endif;
	?>
	<?php
	if ( ! comments_open() && get_comments_number() ) :
		?>
<p class="no-comments">
		<?php
		esc_html_e( 'Comments are closed.', 'affiliateblogwriter' );
		?>
</p>
		<?php
endif;
	?>
	<?php
endif;
?>
<?php
comment_form();
?>
