<?php
/**
 * The template for displaying the footer
 *
 * @package affiliateblogwriter
 */

if ( is_active_sidebar( 'main-sidebar' ) ) {?>
	<div id="main-sidebar" class="sidebar">
		<?php
		if ( get_theme_mod( 'profile_photo' ) !== '' || get_theme_mod( 'short_bio' ) !== '' ) {
			echo '<div class="about-the-blogger widget">';
		}
		?>
		<?php
		if ( get_theme_mod( 'profile_photo' ) !== '' ) {
			$profile_photo_id = get_theme_mod( 'profile_photo' );
			echo '<img class="profile-photo" src="' . esc_attr( $profile_photo_id ) . '" alt="Author Photo" />';
		}
		?>
		<?php
		if ( get_theme_mod( 'short_bio' ) !== '' ) {
			echo '<h3 class="widget-title">';
			if ( get_theme_mod( 'short_bio_title' ) !== '' ) {
				echo esc_attr( get_theme_mod( 'short_bio_title' ) );
			} else {
				echo 'About me';
			}
			echo '</h3>';
			echo '<div class="short-bio">' . esc_attr( get_theme_mod( 'short_bio' ) ) . '</div>';
		}
		?>
		<?php
		if ( get_theme_mod( 'profile_photo' ) !== '' || get_theme_mod( 'short_bio' ) !== '' ) {
			echo '</div>';
		}
		?>
		<?php
		if ( get_theme_mod( 'social_media' ) === '' || get_theme_mod( 'social_media' ) === 'default' ) {
			echo '<div class="widget"><h3 class="widget-title">Follow?</h3>';
			get_template_part( 'template-parts/social' );
			echo '</div>';
		}
		?>
		<?php
		if ( is_active_sidebar( 'central-cta-sidebar' ) ) {
			echo '<div class="central-cta-sidebar">';
			dynamic_sidebar( 'central-cta-sidebar' );
			echo '</div>';
		}
		?>
		<?php
		if ( get_theme_mod( 'affiliate_notice_enable' ) === 'sidebar' && get_theme_mod( 'affiliate_notice' ) !== '' ) {
			?>
			<p class="affiliate-notice">
				<?php
				if ( get_theme_mod( 'affiliate_notice' ) !== '' ) {
					echo esc_attr( get_theme_mod( 'affiliate_notice' ) );
				}
				?>
			</p> 
			<?php
		}
		?>
		<?php
		dynamic_sidebar( 'main-sidebar' );
		?>
	</div>
	<?php
}
?>
<?php if ( is_active_sidebar( 'bottom-sidebar' ) ) { ?>
	<div id="bottom-sidebar" class="sidebar">
		<?php
		dynamic_sidebar( 'bottom-sidebar' );
		?>
	</div>
	<?php
}
?>
<?php
if ( is_active_sidebar( 'outer-right-sidebar' ) ) {
	?>
	<div id="outer-right-sidebar" class="sidebar">
		<?php
		dynamic_sidebar( 'outer-right-sidebar' );
		?>
	</div>
	<?php
}
?>
<?php
if ( is_active_sidebar( 'outer-left-sidebar' ) ) {
	?>
	<div id="outer-left-sidebar" class="sidebar">
		<?php
		dynamic_sidebar( 'outer-left-sidebar' );
		?>
	</div>
	<?php
}
?>
<footer>
	<?php
	if ( get_theme_mod( 'social_media' ) === 'footer' ) {
		echo '<div class="social-wrap-footer"><h3>Follow?</h3>';
		get_template_part( 'template-parts/social' );
		echo '</div>';
	}
	?>
	<?php
	wp_nav_menu(
		array(
			'theme_location' => 'footer-menu',
			'menu_id'        => 'footer-menu',
			'container'      => '',
			'fallback_cb'    => false,
			'depth'          => 1,
		)
	);
	?>
	<?php
	echo esc_attr( date( 'Y' ) );
	?>
	&copy;
	<?php
	echo esc_attr( get_bloginfo( 'sitename' ) );
	?>
	<!-- This website is powered by WordPress and uses a theme called "Affiliate Blog Writer" - Check it out here: https://programorama.com/themes/ -->
</footer>
</div>
<?php
wp_footer();
?>
</body>

</html>
