<?php
/**
 * The template for displaying content Image
 *
 * @package affiliateblogwriter
 */

if ( has_post_thumbnail() ) {
	$thumbclass = 'has-thumbnail';
}?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $thumbclass ); ?>>
	<h2 class="post-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>">
		<?php the_title(); ?>
	</a>
</h2>
<div class="post-content">
	<div class="post-meta">
		<?php the_time( 'F jS, Y' ); ?>
		<?php
		if ( get_theme_mod( 'show_author' ) === 'yes' ) {
			echo '<span class="author">by ' . get_the_author() . '</span>';
		}
		?>
	</div>
	<?php
	if ( has_post_thumbnail() ) :
		?>
		<div class="featured-image large">
			<a href="<?php echo esc_url( get_the_permalink() ); ?>">
				<?php the_post_thumbnail( 'large' ); ?>
			</a>
		</div>
	<?php endif; ?>
	<?php the_excerpt(); ?>
	<a href="<?php echo esc_url( get_the_permalink() ); ?>" class="read-more">
		<?php
			echo 'Read more';
		?>
	</a>
	<?php
	if ( get_post_meta( $post->ID, 'cta_link', true ) && get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo esc_attr( esc_html( '<a class="cta" href="' . get_post_meta( $post->ID, 'cta_link', true ) . '">' . get_post_meta( $post->ID, 'cta_text', true ) . '</a>' ) );
	} elseif ( get_post_meta( $post->ID, 'cta_link', true ) && ! get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo esc_attr( esc_html( '<a class="cta" href="' . get_post_meta( $post->ID, 'cta_link', true ) . '">Buy here</a>' ) );
	}
	?>
	<div class="post-meta-bot">Published under:
		<?php the_category( ', ' ); ?>
		<?php the_tags( '<br>Tags: ', ', ' ); ?>
		<?php
			echo '<div class="comment-count">Comments: ' . esc_attr( get_comments_number() ) . '</div>';
		?>
		<?php edit_post_link( 'Edit this post', '<p>', '</p>' ); ?>
	</div>
</div>
</article>
