<?php
/**
 * The template for displaying content video
 *
 * @package affiliateblogwriter
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<h2 class="post-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>">
		<?php the_title(); ?>
	</a>
</h2>
<div class="post-content">
	<div class="post-meta">
		<?php the_time( 'F jS, Y' ); ?>
		<?php
		if ( get_theme_mod( 'show_author' ) === 'yes' ) {
			echo '<span class="author">by ' . esc_attr( get_the_author() ) . '</span>';
		}
		?>
	</div>
	<?php the_content(); ?>
	<a href="<?php echo esc_url( get_the_permalink() ); ?>" class="read-more">
		<?php
			echo 'Read more';
		?>
	</a>
	<?php
	if ( get_post_meta( $post->ID, 'cta_link', true ) && get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">' . esc_attr( get_post_meta( $post->ID, 'cta_text', true ) ) . '</a>';
	} elseif ( get_post_meta( $post->ID, 'cta_link', true ) && ! get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">Buy here</a>';
	}
	?>
	<div class="post-meta-bot"><?php esc_html_e( 'Published under:', 'affiliateblogwriter' ); ?>
		<?php the_category( ', ' ); ?>
		<?php the_tags( '<br>Tags: ', ', ' ); ?>
		<?php
			echo '<div class="comment-count">Comments: ' . esc_attr( get_comments_number() ) . '</div>';
		?>
		<?php edit_post_link( 'Edit this post', '<p>', '</p>' ); ?>
	</div>
</div>
</article>
