<?php
/**
 * The template for displaying content
 *
 * @package affiliateblogwriter
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<h2 class="post-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>">
		<?php the_title(); ?>
	</a>
</h2>
<div class="post-content">
	<div class="post-meta">
		<?php
			the_time( 'F jS, Y' );
		?>
		<?php
		if ( esc_attr( get_theme_mod( 'show_author' ) === 'yes' ) ) {
			echo esc_html( '<span class="author">by ' . esc_attr( get_the_author() ) . '</span>' );
		}
		?>
	</div>
	<?php
	if ( esc_attr( get_theme_mod( 'sticky_notice' ) !== 'no' && is_sticky() === true ) ) {
		echo esc_html( '<div class="sticky-notice">Featured Post</div>' );
	}
	?>
	<?php
	if ( has_post_thumbnail() && ( get_theme_mod( 'featured_image' ) === 'small' ) ) :
		?>
	<div class="featured-image small">
		<a href="<?php echo esc_url( get_the_permalink() ); ?>">
			<?php the_post_thumbnail( 'affiliateblogwriter-featured-image' ); ?>
		</a>
	</div>
	<?php elseif ( has_post_thumbnail() && ( get_theme_mod( 'featured_image' ) !== 'small' ) ) : ?>
	<div class="featured-image">
		<a href="<?php echo esc_url( get_the_permalink() ); ?>">
			<?php the_post_thumbnail( 'affiliateblogwriter-featured-image-2x' ); ?>
		</a>
	</div>
<?php endif; ?>
<?php
if ( esc_attr( get_post_meta( $post->ID, 'review_rating', true ) ) ) {
	echo '<div class="in-the-loop">';
	esc_attr( get_template_part( 'template-parts/review' ) );
	echo '</div>';
}
?>
<?php the_excerpt(); ?>
<a href="<?php echo esc_url( get_the_permalink() ); ?>" class="read-more">
	<?php
		echo 'Read more';
	?>
</a>
<?php
if ( esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) && esc_attr( get_post_meta( $post->ID, 'cta_text', true ) ) ) {
	echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">' . esc_attr( get_post_meta( $post->ID, 'cta_text', true ) ) . '</a>';
} elseif ( esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) && esc_attr( ! get_post_meta( $post->ID, 'cta_text', true ) ) ) {
	echo esc_html( '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">Buy here</a>' );
}
?>
<div class="post-meta-bot">Published under:
	<?php the_category( ', ' ); ?>
	<?php the_tags( '<br>Tags: ', ', ' ); ?>
	<?php
		echo '<div class="comment-count">Comments: ' . esc_attr( get_comments_number() ) . '</div>';
	?>
	<?php esc_attr( esc_html( edit_post_link( 'Edit this post', '<p>', '</p>' ) ) ); ?>
</div>
</div>
</article>
