<?php
/**
 * The template for displaying Post content
 *
 * @package affiliateblogwriter
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<h2 class="post-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>">
		<?php the_title(); ?>
	</a>
</h2>
<div class="post-content">
	<div class="post-meta">
		<?php
			the_time( 'F jS, Y' );
		?>
	</div>
	<?php the_content(); ?>
	<?php wp_link_pages(); ?>
	<?php
	if ( get_post_meta( $post->ID, 'cta_link', true ) && get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">' . esc_attr( get_post_meta( $post->ID, 'cta_text', true ) ) . '</a>';
	} elseif ( get_post_meta( $post->ID, 'cta_link', true ) && ! get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">Buy here</a>';
	}
	?>
	<?php
	if ( get_theme_mod( 'show_comments' ) !== 'no' ) {
		?>
		<div class="post-comments">
			<?php
			if ( comments_open() ) {
				comments_template();
			} else {
				echo '<p class="no-comments">Comments are closed.</p>';
			}
			?>
		</div>
		<?php
	}
	?>
</div>
</article>
