<?php
/**
 * The template for displaying scontent Image
 *
 * @package affiliateblogwriter
 */

if ( has_post_thumbnail() ) {
	$thumbclass = 'has-thumbnail';
}?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $thumbclass ); ?>>
	<h2 class="post-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>">
		<?php the_title(); ?>
	</a>
</h2>
<div class="post-content">
	<div class="post-meta">
		<?php the_time( 'F jS, Y' ); ?>
		<?php
		if ( get_theme_mod( 'show_author' ) === 'yes' ) {
			echo '<span class="author">by ' . get_the_author() . '</span>';
		}
		?>
	</div>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="featured-image large">
			<?php the_post_thumbnail( 'large' ); ?>
		</div>
	<?php endif; ?>
	<a href="<?php echo esc_attr( get_the_post_thumbnail_url() ); ?>">Full size</a>
	<?php
	if ( get_post_meta( $post->ID, 'affiliate_notice', true ) === 'yes' || get_theme_mod( 'affiliate_notice_enable' ) === 'yes' && get_post_meta( $post->ID, 'affiliate_notice', true ) !== 'no' ) {
		?>
		<?php
		if ( get_theme_mod( 'affiliate_notice' ) !== '' ) {
			echo '<p class="affiliate-notice">' . esc_attr( get_theme_mod( 'affiliate_notice' ) ) . '</p>';
		}
		?>
		<?php
	}
	?>
	<?php the_content(); ?>
	<?php
	if ( get_post_meta( $post->ID, 'cta_link', true ) && get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">' . esc_attr( get_post_meta( $post->ID, 'cta_text', true ) ) . '</a>';
	} elseif ( get_post_meta( $post->ID, 'cta_link', true ) && ! get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">Buy here</a>';
	}
	?>
	<div class="post-meta-bot"><?php esc_html_e( 'Published under:', 'affiliateblogwriter' ); ?>
		<?php the_category( ', ' ); ?>
		<?php the_tags( '<br>Tags: ', ', ' ); ?>
		<?php edit_post_link( 'Edit this post', '<p>', '</p>' ); ?>
	</div>
		<div class="post-comments">
			<?php
			if ( comments_open() ) {
				comments_template();
			} else {
				echo '<p class="no-comments">Comments are closed.</p>';
			}
			?>
		</div>
</div>
</article>
