<?php
/**
 * The template for displaying scontent review
 *
 * @package affiliateblogwriter
 */

if ( has_post_thumbnail() ) {
	$thumbclass = 'has-thumbnail';
}?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $thumbclass ); ?> itemscope itemtype="https://schema.org/Review">
	<h2 class="post-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>">
		<?php the_title(); ?>
	</a>
</h2>
<div class="post-content">
	<div class="post-meta">
		<?php the_time( 'F jS, Y' ); ?>
		<?php
		if ( get_theme_mod( 'show_author' ) === 'yes' ) {
			echo '<span class="author">by ' . get_the_author() . '</span>';
		}
		?>
	</div>
	<?php
	if ( has_post_thumbnail() && ( get_theme_mod( 'featured_image_single' ) === 'small' ) ) :
		?>
	<div class="featured-image small">
		<?php the_post_thumbnail( 'affiliateblogwriter-featured-image' ); ?>
	</div>
	<?php elseif ( has_post_thumbnail() && ( get_theme_mod( 'featured_image_single' ) !== 'small' ) ) : ?>
	<div class="featured-image">
		<?php the_post_thumbnail( 'affiliateblogwriter-featured-image-2x' ); ?>
	</div>
<?php endif; ?>
<?php
if ( get_post_meta( $post->ID, 'affiliate_notice', true ) === 'yes' || get_theme_mod( 'affiliate_notice_enable' ) === 'yes' && get_post_meta( $post->ID, 'affiliate_notice', true ) !== 'no' ) {
	?>
	<?php
	if ( get_theme_mod( 'affiliate_notice' ) !== '' ) {
		echo '<p class="affiliate-notice">' . esc_attr( get_theme_mod( 'affiliate_notice' ) ) . '</p>';
	}
	?>
	<?php
}
?>
<div class="the-content-wrap" itemprop="reviewBody"><?php the_content(); ?></div>
<div class="review-details-wrap">
	<div class="review-box">
		<?php
		if ( get_post_meta( $post->ID, 'review_rating', true ) ) {
			get_template_part( 'template-parts/review', 'single' );
			?>
			<?php
		}
		?>
		<?php
		if ( get_post_meta( $post->ID, 'review_item', true ) ) {
			?>
			<div class="item-reviewed" itemprop="itemReviewed">
				<?php esc_html_e( 'Item reviewed:', 'affiliateblogwriter' ); ?><span class="name" itemprop="name">
					<?php echo esc_attr( get_post_meta( $post->ID, 'review_item', true ) ); ?></span>
				</div>
				<?php
		}
		?>
			<div class="review-by" itemprop="author">
				<?php esc_html_e( 'Review by:', 'affiliateblogwriter' ); ?><span itemprop="name"><?php the_author(); ?></span>
			</div>
		</div>
	</div>
	<?php
	if ( get_post_meta( $post->ID, 'cta_link', true ) && get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">' . esc_attr( get_post_meta( $post->ID, 'cta_text', true ) ) . '</a>';
	} elseif ( get_post_meta( $post->ID, 'cta_link', true ) && ! get_post_meta( $post->ID, 'cta_text', true ) ) {
		echo '<a class="cta" href="' . esc_attr( get_post_meta( $post->ID, 'cta_link', true ) ) . '">Buy here</a>';
	}
	?>
	<div class="post-meta-bot"><?php esc_html_e( 'Published under:', 'affiliateblogwriter' ); ?>
		<?php the_category( ', ' ); ?>
		<?php the_tags( '<br>Tags: ', ', ' ); ?>
		<?php edit_post_link( 'Edit this post', '<p>', '</p>' ); ?>
	</div>
	<div class="post-comments">
		<?php
		if ( comments_open() ) {
			comments_template();
		} else {
			echo '<p class="no-comments">Comments are closed.</p>';
		}
		?>
	</div>
</div>
</article>
